PETSc version 3.15.5
Fix/Edit manual page

# DMPlexGetTreeChildren

get the children of a point in the tree describing the point hierarchy (not the DAG)

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetTreeChildren(DM dm, PetscInt point, PetscInt *numChildren, const PetscInt *children[])

### Input Parameters

| dm | - the DMPlex object
| point | - the query point

### Output Parameters

| numChildren | - if not NULL, set to the number of children
| children | - if not NULL, set to a list children, or set to NULL if the point has no children

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

### See Also

DMPlexSetTree(), DMPlexGetTree(), DMPlexGetTreeParent()

### Level

intermediate

### Location

src/dm/impls/plex/plextree.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages